- Firms
- Create a firm
Firms
Create a firm
Create a firm and optionally set its approval settings.
POST
/v1/firms
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"externalId": "string",
"settings": {
"requireInternalApproval": true,
"skipClientApproval": true,
"enableFirmUserNotifications": true,
"enableTaxpayerNotifications": true
}
}'
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"externalId": "string",
"settings": {
"requireInternalApproval": true,
"skipClientApproval": true,
"enableFirmUserNotifications": true,
"enableTaxpayerNotifications": true
}
}'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
x-api-key
required
string
API key of your Client Application.
Body
application/json
name
required
string
The name of the firm
externalId
string
The external identifier provided by the client
settings
object
Firm settings configuration
Response
application/json
201
400
401
403
409
Created
id
string
The unique identifier of the resource.
externalId
string
The external identifier provided by the client.
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"externalId": "string",
"settings": {
"requireInternalApproval": true,
"skipClientApproval": true,
"enableFirmUserNotifications": true,
"enableTaxpayerNotifications": true
}
}'
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"externalId": "string",
"settings": {
"requireInternalApproval": true,
"skipClientApproval": true,
"enableFirmUserNotifications": true,
"enableTaxpayerNotifications": true
}
}'